Google Web Toolkit
Search Google Code:

# Class JSONBoolean

public class JSONBoolean
extends JSONValue
Represents a JSON boolean value.

## Methods

booleanValue() | Returns `true` if this is the instance representing "true", `false` otherwise.
getInstance(boolean) | Gets a reference to the singleton instance representing either `true` or `false`.
isBoolean() | Returns `this`, as this is a JSONBoolean.
toString() | Returns "true" for the true value, and "false" for the false value.

## Method Detail

### booleanValue

public boolean booleanValue()
Returns `true` if this is the instance representing "true", `false` otherwise.

### getInstance

public static JSONBoolean getInstance(boolean b)
Gets a reference to the singleton instance representing either `true` or `false`.

#### Parameters

b
  controls which value to get

#### Return Value

if `true`, the JSONBoolean instance representing `true` is returned; otherwise, the JSONBoolean instance representing `false` is returned

### isBoolean

public JSONBoolean isBoolean()
Returns `this`, as this is a JSONBoolean.

### toString

public String toString()
Returns "true" for the true value, and "false" for the false value.